package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum DemandFollowResult {
	FOLLOW(0, "跟进中"),
	RESULT(1, "已匹配"),
	OTHER(5, "其他");

	private DemandFollowResult(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, DemandFollowResult> status = new HashMap<Integer, DemandFollowResult>();

	static {
		for (DemandFollowResult value : DemandFollowResult.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static DemandFollowResult getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static DemandFollowResult getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}
}
